Domoticz version 3.8153 released (Stable)

News and/or updates regarding Domoticz or things related to Domoticz will be placed here.
Twitter: https://twitter.com/Domoticz | Facebook: https://www.facebook.com/domoticz | Changelog: Github
mwesley
Posts: 2
Joined: Saturday 02 September 2017 16:42
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by mwesley » Saturday 02 September 2017 16:53

The Domoticz APIs are not working properly in 3.8153

Version: 3.8153
Platform: Raspberry Pi

From the wiki page: https://www.domoticz.com/wiki/Domoticz_API/JSON_URL%27s

The following API call returns an error:
Get all lights/switches

Code: Select all

/json.htm?type=command&param=getlightswitches
Also listing any specific device type returns an error, though listing all devices works. So:

Code: Select all

/json.htm?type=devices&filter=all&used=true&order=Name
works, but using any of the following filters:
  • light = Get all lights/switches
  • weather = Get all weather devices
  • temp = Get all temperature devices
  • utility = Get all utility devices
returns and error.

SweetPants
Posts: 1477
Joined: Friday 12 July 2013 21:24
Target OS: Linux
Domoticz version: V3.8423
Location: The Netherlands
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by SweetPants » Saturday 02 September 2017 17:13

Then this is specific to this version, on V3.8373 it works just fine. If you are not compiling from source i would wait upgrading, there are some issues with the pre-compiled builds at the moment.

seblang
Posts: 12
Joined: Sunday 27 December 2015 22:24
Target OS: Windows
Domoticz version:
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by seblang » Sunday 03 September 2017 21:45

Hello,

I use custom with great pleasure for a while.

I use a script that updates an "alert" sensor to warn me of the type of trash to get out. value is 10 for green trash can and value is 20 for yellow trash can.

I have ad 2 icons : one alert48_10.png (icon of green trash can) and one alert48_20.png (icon of yellow trash cam) in the directory icons de domoticz/www/images

Since the last update (3.8373) it doesn't work I have always a red triangle icon like icon alert48_4.png

someone can help me?

thanks in advance

Eddiever
Posts: 51
Joined: Thursday 27 April 2017 20:32
Target OS: Raspberry Pi
Domoticz version: V3.8153
Location: The Netherlands (Hoogeveen)
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by Eddiever » Friday 08 September 2017 15:28

I upgraded to this Stable version. It went very well and the respons time is great. Unfortunately when I go to setup => more options => camera's everything freezes (in my browser). The RPi is still reachable through SSH. And if I use:
sudo service domoticz.sh status I get:

Stopping and then starting the service does not work. What can be the issue?

Never mind, it is working again. I noticed that one of my RPi Cams was turned on but it is not available at this moment (using de RPi for something else). And after turning it off all is working well.

Possible a point of attention for the new to build stable version? If a camera does not respond don't freeze the system (or perhaps it was something completly different).
Last edited by Eddiever on Sunday 10 September 2017 16:30, edited 1 time in total.
RPi 2B with Domoticz and cam module RPi 3 with cam module
1 rftxtrx433E module 1 solar-edge SE-3500
1 Sonoff Touch 3 Sonoff wifi swithes 6 kaku modules

poudenes
Posts: 215
Joined: Wednesday 08 March 2017 10:42
Target OS: Linux
Domoticz version: 3.7392
Location: Amsterdam
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by poudenes » Saturday 09 September 2017 10:23

Rasbian Jessie
Domoticz v3.8153
NO restore from previous dB

Start domoticz, everything ok. Add all devices manual again. At moment u use it without restart it worked nice.
After a restart to check domoticz will run after a reboot i got this error:

Code: Select all

2017-09-09 09:42:08.524  Error: Domoticz received fatal signal 11 !...
2017-09-09 09:42:08.526  Error:   /home/pi/domoticz/domoticz() [0x1cdc48]
2017-09-09 09:42:08.526  Error:   /home/pi/domoticz/domoticz(_Z14signal_handleri+0x58) [0x1cdd00]
2017-09-09 09:42:08.526  Error:   /lib/arm-linux-gnueabihf/libc.so.6(__default_sa_restorer_v2+0) [0x76a51180]
2017-09-09 09:42:08.526  Error:   /home/pi/domoticz/domoticz() [0x1cdc48]
Raspberry Pi3 - OSMC - Domoticz - Dashticz - MiPow PlayBulb - Nanolead Aurora - KaKu - Logitech Hamony - Nest - RFLink

Toulon7559
Posts: 402
Joined: Sunday 23 February 2014 18:56
Target OS: Raspberry Pi
Domoticz version: latest
Location: Hengelo(Ov)/NL
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by Toulon7559 » Sunday 10 September 2017 7:41

Platform: RaspberryB
Domoticz version: Installed 8153 (stable), Upgraded till 8389(beta), Trying 8390 (beta)

After acceptance at the Dashboard of update to latest beta 8390, Domoticz goes Offline.

Reinstall to stable version 8153 is quick & OK through Putty by means of

Code: Select all

sudo curl -L install.domoticz.com | bash
Also subsequent direct beta-installation through Putty by means of

Code: Select all

cd domoticz
./updatebeta
results in Domoticz going Offline
Set1 = RPI-B+RFXCom433+S0PCM+Linksprite-shield for BMP180/DS18B20/RS485+DDS238ZN1
Set2 = RPI-3+RFLinkGTW+ESP8266s+PWS_WS7000
Common = 2*PVLogger+PWS_TFA_Nexus+KAKUs
=> Energy & Data Management based on Time and on PV&Consumption&Meteo

pepijn
Posts: 512
Joined: Friday 12 July 2013 13:19
Target OS: Raspberry Pi
Domoticz version:
Location: The Netherlands
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by pepijn » Sunday 10 September 2017 8:32

Toulon7559 wrote:
Sunday 10 September 2017 7:41
Platform: RaspberryB
Domoticz version: Installed 8153 (stable), Upgraded till 8389(beta), Trying 8390 (beta)

After acceptance at the Dashboard of update to latest beta 8390, Domoticz goes Offline.

Reinstall to stable version 8153 is quick & OK through Putty by means of

Code: Select all

sudo curl -L install.domoticz.com | bash
Also subsequent direct beta-installation through Putty by means of

Code: Select all

cd domoticz
./updatebeta
results in Domoticz going Offline
Did you read this http://domoticz.com/forum/viewtopic.php?f=3&t=19341 post?

Toulon7559
Posts: 402
Joined: Sunday 23 February 2014 18:56
Target OS: Raspberry Pi
Domoticz version: latest
Location: Hengelo(Ov)/NL
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by Toulon7559 » Sunday 10 September 2017 14:39

Missed the message from Gizmocuz with the additional requirement.
Apparently 'lost/overlooked' in the flow of new messages.

But when I performed the advised installation on the 'problem-raspberry' (on which I earlier performed a few cycles installing 'stable' and 'latest beta' (ending with 'stable') according to my previous message), I got a reply which seems to tell that libssl was already there in the correct version (see below).
Strange .........

Code: Select all

raspberrypi:~$ sudo apt install libssl1.0.0
Reading package lists... Done
Building dependency tree
Reading state information... Done
libssl1.0.0 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 86 not upgraded.
On the other raspberry with v 3.8389 the response after installation as expected of '1 upgraded' in the bottom line.

Explanation?
Could it be that installation of libssl1.0.0 is included in beta_3.8390?

Seems prudent to wait for the next beta-update, to see what effects.
Set1 = RPI-B+RFXCom433+S0PCM+Linksprite-shield for BMP180/DS18B20/RS485+DDS238ZN1
Set2 = RPI-3+RFLinkGTW+ESP8266s+PWS_WS7000
Common = 2*PVLogger+PWS_TFA_Nexus+KAKUs
=> Energy & Data Management based on Time and on PV&Consumption&Meteo

Docdigit
Posts: 4
Joined: Saturday 09 September 2017 11:36
Target OS: Raspberry Pi
Domoticz version: 3.8153
Location: Behind the dykes
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by Docdigit » Sunday 10 September 2017 17:21

Thanks for your work and effort! Works great!
As a newbie in this forum, could you pls tell me where I can post user experience to this version? There are some (minor) issues that I ran upon that may be worth sharing?
Keep up the good work,
DD
With both feet on the ground to can't make any step forward...

Toulon7559
Posts: 402
Joined: Sunday 23 February 2014 18:56
Target OS: Raspberry Pi
Domoticz version: latest
Location: Hengelo(Ov)/NL
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by Toulon7559 » Sunday 10 September 2017 20:32

Subsequent to this message today I tried v3.8392.
Results are mixed:
- my Raspberry3 has no problems at all
- my RaspberryB still goes Ofline, and therefore now again set back to 'stable' v3.8153, risking corruption of the database.

Nothing really wrong, because all functions run as expected and database seems intact, but how to get that RaspberryB on track to successful install of latest Beta?
Set1 = RPI-B+RFXCom433+S0PCM+Linksprite-shield for BMP180/DS18B20/RS485+DDS238ZN1
Set2 = RPI-3+RFLinkGTW+ESP8266s+PWS_WS7000
Common = 2*PVLogger+PWS_TFA_Nexus+KAKUs
=> Energy & Data Management based on Time and on PV&Consumption&Meteo

DomoOr1981
Posts: 10
Joined: Sunday 30 July 2017 10:44
Target OS: Raspberry Pi
Domoticz version: 3.8373
Location: Holland
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by DomoOr1981 » Monday 11 September 2017 14:33

I can't reach Domoticz. And this error seems to be reason (allthough begin a newbie):
error while loading shared libraries: libssl.so.1.0.0: cannot open shared object file: No such file or directory
(After issueing this command: sudo service domoticz.sh status)

I've got an Rpi B+ (ARMv6-compatible processor rev 7 v6l).

The "libssl.so.1.0.0"-error occured after a completely fresh install, with the most recent image: 2017-09-07-raspbian-stretch-lite.img. And installing Domoticz 3.8153.
Installing Domoticz Beta gives the same errormsg.

This command "ldd /home/pi/domoticz/domoticz" returns this result:
libssl.so.1.0.0 => not found
libcrypto.so.1.0.0 => not found


The following libssl files seem to be present on my "Stretch system":
cd /usr/lib/arm-linux-gnueabihf
ls -al libssl*
-rw-r--r-- 1 root root 320924 Jun 4 19:15 libssl.so.1.0.2
-rw-r--r-- 1 root root 327952 Jun 5 11:40 libssl.so.1.1


Also tried this command: sudo apt-get install libssl.so.1.0.0
Which returned E: Unable to locate package libssl.so.1.0.0

I followed somebody elses advise:
sudo wget http://ftp.nl.debian.org/debian/pool/ma ... _armhf.deb
sudo dpkg -i libssl1.0.0_1.0.1t-1+deb8u6_armhf.deb

This gave me some hope because the earlier "not found"-s have disappeared:
ldd /home/pi/domoticz/domoticz
libssl.so.1.0.0 => /usr/lib/arm-linux-gnueabihf/libssl.so.1.0.0 (0xb6f2f000)
libcrypto.so.1.0.0 => /usr/lib/arm-linux-gnueabihf/libcrypto.so.1.0.0 (0xb6e09000)


But my hope was short-lived because the "sudo service domoticz.sh status"-command now returns:
domoticz.sh[1169]: Illegal instruction

Any advise is greatly appreciated.
Being it: how to install both missing packages.
Or being it: starting from scratch with a different sdcard-image. (Domoticz advises Jessie, but the pages links to Stretch...)

Edit 12sep2017: At last everything works fine now on my "RPi 1 B+" after a fresh installation with this older image: "2017-07-05-raspbian-jessie-lite.img" (my starting-trials were with different versions of Raspbian Stretch Lite).
Last edited by DomoOr1981 on Tuesday 12 September 2017 14:04, edited 3 times in total.

lost
Posts: 102
Joined: Thursday 10 November 2016 10:30
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by lost » Tuesday 12 September 2017 11:46

Hello,

Willing to upgrade from old stable v3.5877 to current v3.8153 on a PI3, I also wanted to upgrade Raspbian from Jessie to Stretch at the same time... But looking at forum posts, looks current stable & Raspbian almost simultaneous releases dates did not allowed building/testing with Jessie & there is a few problems.

Is it possible to sum-up a bit what combinations of hardware(looks there is also some armv6 pb on PI2)/rasbian/current Domoticz stable are OK (even with workarounds) or not? Maybe in another thread.

As on PI3 there seems to be mostly some libssl version problems that are solved compiling from sources, maybe providing another Domoticz stable build for Stretch would help not requiring installing some old (unmaintained, so security pb may occur) libssl versions?

I didn't found a way to get the stable source tree from the github: Only development can be cloned. So cannot try building current stable myself on a Stretch install.

BR.

DomoOr1981
Posts: 10
Joined: Sunday 30 July 2017 10:44
Target OS: Raspberry Pi
Domoticz version: 3.8373
Location: Holland
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by DomoOr1981 » Tuesday 12 September 2017 13:59

At last everything works fine now on my "RPi 1 B+" after a fresh installation with this older image: "2017-07-05-raspbian-jessie-lite.img" (my starting-trials were with different versions of Raspbian Stretch Lite).

poudenes
Posts: 215
Joined: Wednesday 08 March 2017 10:42
Target OS: Linux
Domoticz version: 3.7392
Location: Amsterdam
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by poudenes » Tuesday 12 September 2017 16:23

DomoOr1981 wrote:
Tuesday 12 September 2017 13:59
At last everything works fine now on my "RPi 1 B+" after a fresh installation with this older image: "2017-07-05-raspbian-jessie-lite.img" (my starting-trials were with different versions of Raspbian Stretch Lite).
So it can make difference when yo use jessie pixel? or is there not difference ?
Raspberry Pi3 - OSMC - Domoticz - Dashticz - MiPow PlayBulb - Nanolead Aurora - KaKu - Logitech Hamony - Nest - RFLink

vmb
Posts: 31
Joined: Thursday 02 October 2014 14:35
Target OS: Raspberry Pi
Domoticz version:
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by vmb » Wednesday 13 September 2017 18:24

Toulon7559 wrote:
Sunday 10 September 2017 20:32
Subsequent to this message today I tried v3.8392.
Results are mixed:
- my Raspberry3 has no problems at all
- my RaspberryB still goes Ofline, and therefore now again set back to 'stable' v3.8153, risking corruption of the database.

Nothing really wrong, because all functions run as expected and database seems intact, but how to get that RaspberryB on track to successful install of latest Beta?
Exactly same situation overhere. Driving me crazy, because the need of keeping up to date with latest betas en Xiaomi gateway (which is now impossible).
By the way already installed additional packages Gizo recommened

HenFre
Posts: 17
Joined: Thursday 12 May 2016 15:48
Target OS: Raspberry Pi
Domoticz version: 3.8153
Location: Sweden
Contact:

Re: Domoticz version 3.8153 released (Stable)

Post by HenFre » Wednesday 20 September 2017 17:34

Thanks for this uppgrade. Especially for the dzVents integration.

But I have found some misleading in the "Migrating from version 1.x.x" guide for dzVents:

Timed commands
Prior to 2.0 you did this if you wanted to turn a switch off after a couple seconds:
domoticz.devices['mySwitch'].switchOff().after_sec(10)

In 2.x:
domoticz.devices('mySwitch').switchOff().afterSec(10)

The same applies for for_min and with_min.

Square brackets should not have been changed to brackets. I destroyed some hours on that! :) :)
Domoticz on Raspberry PI 3 since 2016.

Post Reply

Who is online

Users browsing this forum: HenFre and 5 guests